gcc-4.9.2-2pclos2015.x86_64.rpm


Advertisement

Description

gcc - GNU Compiler Collection

Property Value
Distribution PCLinuxOS
Repository PCLinuxOS x86_64
Package name gcc
Package version 4.9.2
Package release 2pclos2015
Package architecture x86_64
Package type rpm
Installed size 39.82 MB
Download size 39.82 MB
Official Mirror ftp.nluug.nl
A compiler aimed at integrating all the optimizations and features
necessary for a high-performance and stable development environment.
This package is required for all other GCC compilers, namely C++,
Fortran 95, Objective C, Java and Ada 95.

Alternatives

Package Version Architecture Repository
gcc - - -

Requires

Name Value
binutils >= 2.23.2
gcc-cpp = 4.9.2-2pclos2015
glibc-devel >= 2.4-6
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libc.so.6(GLIBC_2.8)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc >= 3.3.2
libgmp.so.10()(64bit) -
libm.so.6()(64bit) -
libmpc.so.3()(64bit) -
libmpfr.so.4()(64bit) -
libz.so.1()(64bit) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsLzma) <= 4.4.6-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH) -
update-alternatives -

Provides

Name Value
devel(libgcc_s(64bit)) -
devel(libgcc_s) -
devel(liblto_plugin(64bit)) -
gcc = 4.9.2-2pclos2015
gcc(x86-64) = 4.9.2-2pclos2015
gcc4.9 = 4.9.2-2pclos2015
liblto_plugin.so.0()(64bit) -

Conflicts

Name Value
gdb < 5.1.1

Obsoletes

Name Value
gcc4.9 -
libmudflap-devel -
libmudflap0 -

Download

Type URL
Binary Package gcc-4.9.2-2pclos2015.x86_64.rpm
Source Package gcc-4.9.2-2pclos2015.src.rpm

Install Howto

  1. Enable PCLinuxOS x86_64 repository in /etc/apt/sources.list:
    
    rpm http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/ pclinuxos/64bit x86_64
    
  2. Update the package index:
    # apt-get update
  3. Install gcc rpm package:
    # apt-get install gcc

See Also

Package Description
gcc-c++-4.9.2-2pclos2015.x86_64.rpm C++ support for gcc
gcc-cpp-4.9.2-2pclos2015.x86_64.rpm The C Preprocessor
gcc-gfortran-4.9.2-2pclos2015.x86_64.rpm Fortran 95 support for gcc
gcc-gnat-4.9.2-2pclos2015.x86_64.rpm Ada 95 support for gcc
gcc-java-4.9.2-2pclos2015.x86_64.rpm Java support for gcc
gcc-objc++-4.9.2-2pclos2015.x86_64.rpm Objective C++ support for gcc
gcc-objc-4.9.2-2pclos2015.x86_64.rpm Objective C support for gcc
gcc-plugins-4.9.2-2pclos2015.x86_64.rpm Headers to build gcc plugins
gccmakedep-1.0.2-3pclos2011.x86_64.rpm Create dependencies in makefiles using 'gcc -M'
gcin-1.6.0-2pclos2013.x86_64.rpm An input method server for traditional Chinese
gcin-qt4-1.6.0-2pclos2013.x86_64.rpm Qt4 immodule for gcin
gcj-tools-4.9.2-2pclos2015.x86_64.rpm Java related tools from gcc 4.9.2
gcolor3-1.0-1pclos2014.x86_64.rpm A simple color chooser written in GTK3
gcompris-15.10-1pclos2016.x86_64.rpm An educational game for children starting at 2
gcompris-boards-15.10-1pclos2016.noarch.rpm Board data for GCompris
Advertisement
Advertisement